For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • GETGet account activity summary
      • GETGet account balance
      • GETGet account users
      • GETList all accounts
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIAccount Data

Get account activity summary

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions/:transactionId/accountSummary
GET
/api/v1/transactions/:transactionId/accountSummary
$curl https://sandbox.trustly.one/api/v1/transactions/transactionId/accountSummary \
> -u "<username>:<password>"
1{
2 "customerId": "123456789",
3 "lastUpdated": 1632268808515,
4 "summary": [
5 {
6 "selectedAccount": true,
7 "currency": "USD",
8 "nameOnAccount": "Clara Smith",
9 "accountNumber": "8768754674",
10 "routingNumber": "44556687",
11 "aggregations": [
12 {
13 "days": 7,
14 "activityEarliestDate": 1631923208037,
15 "activityLatestDate": 1632268808515,
16 "balanceMax": "743.00",
17 "balanceMin": "593.00",
18 "balanceAvg": "643.00",
19 "depositCount": 2,
20 "depositAmountTotal": "150.00",
21 "depositAmountMax": "100.00",
22 "withdrawalCount": 0,
23 "withdrawalAmountTotal": "0.00",
24 "withdrawalAmountMax": "0.00",
25 "overdraftCount": 0,
26 "overdraftAmountTotal": "0.00",
27 "nsfCount": 0,
28 "nsfFeeAmountTotal": "0.00"
29 },
30 {
31 "days": 30,
32 "activityEarliestDate": 1629763209566,
33 "activityLatestDate": 1632268808515,
34 "balanceMax": "1953.00",
35 "balanceMin": "-90.00",
36 "balanceAvg": "1383.70",
37 "depositCount": 6,
38 "depositAmountTotal": "2633.00",
39 "depositAmountMax": "1900.00",
40 "withdrawalCount": 3,
41 "withdrawalAmountTotal": "3770.00",
42 "withdrawalAmountMax": "1900.00",
43 "overdraftCount": 1,
44 "overdraftAmountTotal": "90.00",
45 "nsfCount": 1,
46 "nsfFeeAmountTotal": "20.00"
47 },
48 {
49 "days": 90,
50 "activityEarliestDate": 1625270403090,
51 "activityLatestDate": 1632268808515,
52 "balanceMax": "1953.00",
53 "balanceMin": "-90.00",
54 "balanceAvg": "1121.34",
55 "depositCount": 9,
56 "depositAmountTotal": "4833.00",
57 "depositAmountMax": "1900.00",
58 "withdrawalCount": 6,
59 "withdrawalAmountTotal": "5160.00",
60 "withdrawalAmountMax": "1900.00",
61 "overdraftCount": 1,
62 "overdraftAmountTotal": "90.00",
63 "nsfCount": 1,
64 "nsfFeeAmountTotal": "20.00"
65 }
66 ]
67 },
68 {
69 "selectedAccount": false,
70 "currency": "USD",
71 "nameOnAccount": "Clara Smith",
72 "accountNumber": "765476577",
73 "routingNumber": "44556687",
74 "aggregations": [
75 {
76 "days": 7
77 },
78 {
79 "days": 30,
80 "activityEarliestDate": 1629936005067,
81 "activityLatestDate": 1631664002007,
82 "balanceMax": "780.00",
83 "balanceMin": "400.00",
84 "balanceAvg": "641.53",
85 "depositCount": 5,
86 "depositAmountTotal": "433.00",
87 "depositAmountMax": "300.00",
88 "withdrawalCount": 2,
89 "withdrawalAmountTotal": "152.00",
90 "withdrawalAmountMax": "100.00",
91 "overdraftCount": 0,
92 "overdraftAmountTotal": "0.00",
93 "nsfCount": 0,
94 "nsfFeeAmountTotal": "0.00"
95 },
96 {
97 "days": 90,
98 "activityEarliestDate": 1629676803423,
99 "activityLatestDate": 1631664002007,
100 "balanceMax": "881.00",
101 "balanceMin": "400.00",
102 "balanceAvg": "801.18",
103 "depositCount": 6,
104 "depositAmountTotal": "633.00",
105 "depositAmountMax": "300.00",
106 "withdrawalCount": 2,
107 "withdrawalAmountTotal": "152.00",
108 "withdrawalAmountMax": "100.00",
109 "overdraftCount": 0,
110 "overdraftAmountTotal": "0.00",
111 "nsfCount": 0,
112 "nsfFeeAmountTotal": "0.00"
113 }
114 ]
115 }
116 ]
117}
Returns summarized and aggregated information about an account such as deposits, withdrawals and balances for various time periods. **Warning**</br>Please wait to receive the [DataReady](../reference/post_dataready) event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.
Was this page helpful?
Previous

API Reference

Next

Get account balance

Built with

Returns summarized and aggregated information about an account such as deposits, withdrawals and balances for various time periods.

WarningPlease wait to receive the DataReady event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.

Response

OK
customerIdstring
lastUpdatedinteger
summarylist of objects

Errors

400
Bad Request Error